installation of linux-image-2.6.28-11-server 2.6.28-11.42 failed to install or uprade -- Jaunty upgrade

Bug #365712 reported by Clint Martin on 2009-04-23
4
Affects Status Importance Assigned to Milestone
nvidia-common (Ubuntu)
Undecided
Unassigned

Bug Description

this failed during the system upgrade to 9.04

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 9.04
ErrorMessage: subprocess post-installation script returned error exit status 2
HibernationDevice: RESUME=UUID=ff323a8c-f775-4959-927d-381914c88616
MachineType: Hewlett-Packard hp workstation xw6200
NonfreeKernelModules: nvidia
Package: linux-headers-2.6.28-11-generic 2.6.28-11.42
ProcCmdLine: root=UUID=f678b5bb-91a3-4bb7-a17f-e678d713023a ro quiet splash
ProcVersionSignature: Ubuntu 2.6.28-11.42-server
SourcePackage: linux
Title: package linux-headers-2.6.28-11-generic 2.6.28-11.42 failed to install/upgrade: subprocess post-installation script returned error exit status 2

Clint Martin (clintlmartin) wrote :
Michael Vogt (mvo) wrote :

Here is the error:

Log started: 2009-04-23 17:29:58
Setting up linux-image-2.6.28-11-server (2.6.28-11.42) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.28-11-server
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.28-11-server
Found kernel: /boot/vmlinuz-2.6.27-14-server
Found kernel: /boot/vmlinuz-2.6.27-7-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms
 * Running DKMS auto installation service for kernel 2.6.28-11-server

 * nvidia (180.44)...
nvidia (180.44): Already installed on this kernel.
   ...done.
run-parts: executing /etc/kernel/postinst.d/nvidia-common
Traceback (most recent call last):
  File "/usr/bin/nvidia-detector", line 2, in <module>
    import NvidiaDetector
ImportError: No module named NvidiaDetector
run-parts: /etc/kernel/postinst.d/nvidia-common exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-2.6.2
8-11-server.postinst line 1002.
dpkg: error processing linux-image-2.6.28-11-server (--configure):
 subprocess post-installation script returned error exit status 2

Michael Vogt (mvo) wrote :

What version of "nvidia-common" do you have installed?

affects: linux (Ubuntu) → nvidia-common (Ubuntu)

I don't know what verion I had before the upgrade. After seeing these
failures a couple times and filing this bug report. I actually went and
noticed that nvidia common wasn't installed. Once I installed it. The kernel
setup completed and I've not seen the issue since

On Apr 24, 2009 11:00 AM, "Michael Vogt" <email address hidden> wrote:

What version of "nvidia-common" do you have installed?

** Package changed: linux (Ubuntu) => nvidia-common (Ubuntu)

-- installation of linux-image-2.6.28-11-server 2.6.28-11.42 failed to
install or uprade -- Jaunt...
Status in “nvidia-common” source package in Ubuntu: New

Bug description: this failed during the system upgrade to 9.04 ProblemType:
Package Architecture: ...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers